/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2020-2024. All rights reserved.
 */

#ifndef JAC_AP_VISUALIZATION_VISUALIZATION_COMMON_H
#define JAC_AP_VISUALIZATION_VISUALIZATION_COMMON_H

#include "ara/com/types.h"
#include "ara/com/init_config.h"
#include "impl_type_camerah265image.h"
#include "perception/impl_type_lidar2lidarperception.h"
#include <cfloat>
#include <cmath>

namespace jac {
namespace ap {
namespace visualization {

class Visualization {
public:
    constexpr Visualization() = default;
    constexpr static ara::com::ServiceIdentifierType ServiceIdentifier = ara::com::ServiceIdentifierType("/huawei/ap/Service/instance/Visualization");
    constexpr static ara::com::ServiceVersionType ServiceVersion = ara::com::ServiceVersionType("1.1");
};
} // namespace visualization
} // namespace ap
} // namespace jac

#endif // JAC_AP_VISUALIZATION_VISUALIZATION_COMMON_H
